def search_text(file, text, new_text):
    f = open(file, 'r', newline='\n')
    content = f.read()
    print(text, content.find(new_text))
    content = content.replace(text, new_text)
    f.close()
    with open(file, 'w', newline='\n') as f:
        f.write(content)

file = './app/plugins/02-connection.js'

text1 = 'mode = "prod"'
newtext1 = 'mode = "dev"'
text2 = 'module = "application"'
newtext2 = 'module = "dealer"'
text3 = 'Biz_Setting'
newtext3 = 'Dealer_Setting'
text4 = 'Biz_Rights'
newtext4 = 'Dealer_Rights'
search_text(file, text1, newtext1)
search_text(file, text2, newtext2)
search_text(file, text3, newtext3)
search_text(file, text4, newtext4)
file = './app/assets/styles/main.scss'
search_text(file, '/logo.png', '/logo_dev.png')
file = './app/stores/index.js'
search_text(file,'export const useStore = defineStore("main", {','export const useStore = defineStore("maindev", {')
